ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
Body
- application/json-patch+json
- application/json
- text/json
- application/*+json
The amount of time a user will be locked out when making too many login attempts
- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/policy-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/settings/policy-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"maximumLoginAttempts": 0,
"lockTimeout": 0,
"passwordExpires": 0,
"passwordExpiresNotification": 0,
"minimumPasswordLength": 0,
"inactiveLogout": 0,
"logoutCountdown": 0,
"enableUserManagement": true
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/instrument-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/settings/instrument-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "enableCamera": true, "frontTipEjectThreshold": 0, "rearTipEjectThreshold": 0, "mphTipEjectThreshold": 0 }
- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/instrument-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/settings/instrument-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"enableCamera": true,
"frontTipEjectThreshold": 0,
"rearTipEjectThreshold": 0,
"mphTipEjectThreshold": 0
}'